<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <h:form>
        <p:outputLabel value="Informes PAE : "/>
        <p:separator />
		<p:commandButton value="Nuevo" action="#{informePAEMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="informePAE" var="ent" value="#{informePAEMB.list}" widgetVar="informePAE"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('informePAE').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.legajo.codigo}" headerText="Legajo" filterMatchMode="contains">
                <p:outputLabel value="#{ent.legajo.codigo}" />
            </p:column>
            <p:column filterBy="#{ent.datosAuditoria.fechaAlta}" headerText="Fecha de carga" filterMatchMode="contains">
                <p:outputLabel value="#{ent.datosAuditoria.fechaAlta}" />
            </p:column>
            <p:column filterBy="#{ent.datosAuditoria.usuarioAlta.userName}" headerText="Usuario de carga" filterMatchMode="contains">
                <p:outputLabel value="#{ent.datosAuditoria.usuarioAlta.userName}" />
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Ver/Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{informePAEMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages informePAE" action="#{informePAEMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el informe?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{informePAEMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog> 
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>  
    </h:form>
	</ui:define>
</ui:composition>
